<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.121.10.53
Name: MEDLAB 1.0 IDE+2 Identificatie materiaal/aanvraag
Description: In een mogelijk langdurige overgangsperiode is nodig om laboratoriumresultaten nog niet van de bron (het lab) te betrekken maar van de huisarts. Als een systeem dat eerst resultaten van de huisarts kreeg, deze later ook van een laboratorium krijgt, dan kunnen er dubbelingen optreden. Op basis van identificatie of bepalingscode + datum is duplicaatdetectie niet altijd mogelijk: de huisarts krijgt MEDLAB-resultaten gecodeerd met NHG Tabel 45 zonder identificatie op testniveau, terwijl het lab in de toekomst mogelijk alleen LOINC-gebaseerde resultaten oplevert met zijn eigen identificatie. Het kan daarbij helpen om het MEDLAB 1.0 veld Identificatie materiaal/aanvraag AN..9 te kennen zodat hier nog een relatie mee te leggen is.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000">
   <title>MEDLAB 1.0 IDE+2 Identificatie materiaal/aanvraag</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.121.10.53
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]]
Item: (Medlab1.0Reference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.121.10.53
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]
Item: (Medlab1.0Reference)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]"
         id="d42e2424-false-d109779e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="string(@classCode) = ('OBS')">(Medlab1.0Reference): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="string(@moodCode) = ('EVN')">(Medlab1.0Reference): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']) &gt;= 1">(Medlab1.0Reference): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']) &lt;= 1">(Medlab1.0Reference): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="count(hl7:code[@nullFlavor = 'OTH']) &gt;= 1">(Medlab1.0Reference): element hl7:code[@nullFlavor = 'OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="count(hl7:code[@nullFlavor = 'OTH']) &lt;= 1">(Medlab1.0Reference): element hl7:code[@nullFlavor = 'OTH'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="count(hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')]) &gt;= 1">(Medlab1.0Reference): element hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="count(hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')]) &lt;= 1">(Medlab1.0Reference): element hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.121.10.53
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']
Item: (Medlab1.0Reference)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']"
         id="d42e2430-false-d109821e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Medlab1.0Reference): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.121.10.53')">(Medlab1.0Reference): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.121.10.53' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.121.10.53
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]/hl7:code[@nullFlavor = 'OTH']
Item: (Medlab1.0Reference)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]/hl7:code[@nullFlavor = 'OTH']"
         id="d42e2435-false-d109835e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(Medlab1.0Reference): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="string(@nullFlavor) = ('OTH')">(Medlab1.0Reference): de waarde van nullFlavor MOET 'OTH' zijn. Gevonden: "<value-of select="@nullFlavor"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="count(hl7:originalText[not(@nullFlavor)]) &gt;= 1">(Medlab1.0Reference): element hl7:originalText[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="count(hl7:originalText[not(@nullFlavor)]) &lt;= 1">(Medlab1.0Reference): element hl7:originalText[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.121.10.53
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]/hl7:code[@nullFlavor = 'OTH']/hl7:originalText[not(@nullFlavor)]
Item: (Medlab1.0Reference)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]/hl7:code[@nullFlavor = 'OTH']/hl7:originalText[not(@nullFlavor)]"
         id="d42e2445-false-d109858e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(Medlab1.0Reference): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="text()='MEDLAB-IDE-2'">(Medlab1.0Reference): de elementinhoud van hl7:originalText[not(@nullFlavor)] MOET ''MEDLAB-IDE-2'' zijn. Gevonden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.121.10.53
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]/hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')]
Item: (Medlab1.0Reference)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.121.10.53']]/hl7:value[resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')]"
         id="d42e2452-false-d109872e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20220825T182510/tmp-2.16.840.1.113883.2.4.3.11.60.121.10.53-2022-03-30T000000.html"
              test="@xsi:type">(Medlab1.0Reference): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>
</pattern>
